# consistentResolution

@Incubating
abstract fun consistentResolution(action: Action<in JavaResolutionConsistency>)

Configure the dependency resolution consistency for this Java project. If no components, features or source sets are added to this project, this has no effect.

The given JavaResolutionConsistency is used to configure consistent resolution for this project.

#### Since

6.8

#### Parameters

action

the configuration action